Package be.fgov.ehealth.samcivics.schemas.v2

# Class FindParagraphRequest

java.lang.Object
be.fgov.ehealth.commons.protocol.v2.RequestType
be.fgov.ehealth.samcivics.schemas.v2.FindParagraphRequest

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:16:16+02:00", comments="JAXB RI v4.0.5") public class FindParagraphRequest extends RequestType implements Serializable
Input structure for request on paragraphs for a CNK from reimbursment

Java class for FindParagraphRequestType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="FindParagraphRequestType">
       <complexContent>
         <extension base="{urn:be:fgov:ehealth:commons:protocol:v2}RequestType">
           <sequence>
             <element name="AmppId" type="{http://www.w3.org/2001/XMLSchema}long"/>
             <element name="StartDate" type="{http://www.w3.org/2001/XMLSchema}date" minOccurs="0"/>
           </sequence>
         </extension>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FindParagraphRequest()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `long`
  `getAmppId()`
  Gets the value of the amppId property.
  `Instant`
  `getStartDate()`
  Gets the value of the startDate property.
  `void`
  `setAmppId(long value)`
  Sets the value of the amppId property.
  `void`
  `setStartDate(Instant value)`
  Sets the value of the startDate property.

  ### Methods inherited from class be.fgov.ehealth.commons.protocol.v2.RequestType

  `getId, getIssueInstant, setId, setIssueInstant`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### FindParagraphRequest

    public FindParagraphRequest()

- ## Method Details

  - ### getAmppId

    public long getAmppId()
    Gets the value of the amppId property.

  - ### setAmppId

    public void setAmppId(long value)
    Sets the value of the amppId property.

  - ### getStartDate

    public Instant getStartDate()
    Gets the value of the startDate property.
    Returns:
      possible object is `String`

  - ### setStartDate

    public void setStartDate(Instant value)
    Sets the value of the startDate property.
    Parameters:
      `value` - allowed object is `String`